// =====================================================================
//  $Id: Sw01EventDisplay.hh,v 1.1 2004/03/01 09:48:29 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: Sw01EventDisplay.hh,v $
//  Revision 1.1  2004/03/01 09:48:29  goiwai
//  sw01の見映えを変更しただけです.
//  ほとんど内容は変りません.
//  無理矢理のイベントディスプレイを用意しました.
//
// =====================================================================
#ifndef CLDAQ__SW01EVENTDISPLAY_HH
#define CLDAQ__SW01EVENTDISPLAY_HH

#include "TEvent.hh"

// かなり無理矢理だけど...
class TApplication;
class TRunManager;
class TH1D;
class TCanvas;
class TPaveText;

class Sw01EventDisplay
{

  private:
    static TApplication* theApplication;

  private:
    TRunManager* theManager;
    TCanvas* theCanvas;
    TH1D** theAdc;
    TPaveText* theInfo;

  public:
    Sw01EventDisplay( TRunManager* manager );
    ~Sw01EventDisplay();

  public:
    Tvoid Fill( TEvent& anEvent );
    Tvoid Update();
    Tvoid Clear();
    Tvoid Initialize();
    Tvoid Save();

};

#endif
